We thank you in advance for your pull request, and for your interest and support of the Robotics Toolbox for Python.

You could help us a lot by:

* Making your pull request relative to the `future` branch.  This is where we fix issues and merge pull requests prior to pushing out a new release.
* Including a reference/link to any related issues.
* Providing a clear description of the problem you are addressing with the pull request, the changes proposed, and their rationale.
  * We appreciate code comments explaining what your added block of code does.
  * If your PR tackles a number of different issues, please submit multiple smaller/simpler PRs that we can individually accept or not.  Otherwise we have to ask you to modify your PR and leave some changes out. Unfortunately GH doesn't let us pick and choose.
* Making your PR as small as possible. Don't include test files, data files, or notebooks that are specific to your project; ensure that notebooks, if of general interest, are saved with output values cleared, and that robot models include only those files required.  PyPI has strict size limits on packages, and already RTB is split into a toolbox and data package.
 
